Subject: bug#25476: pivot-root test fails on Ubuntu 16.04

From: [email-masked] (Ludovic Courtès)
Date: Mon, 13 Feb 2017 23:31:45 +0100

Hi Paul,

Paul Garlick <[email-masked]> skribis:

>> I think a1a8b7f2e20513a3ad968e74e7ec52546404e3c6 fixes this.
>> 
>> 
> Yes, confirmed.  The utmpx-entries test now passes.

Great, thanks for checking.

> The pivot-root test still fails.  One thought; I made a change to the
> guix-daemon.service file, at about the same time as updating Ubuntu to
> 16.04, setting TMPDIR to /data/tmp.  Could that be related?

I don’t think so: ‘make check’ spawns its own daemon, which uses a store
at $builddir/test-tmp.  And this particular test does not rely on the
daemon.

Ludo’.